E-MailRelay

Classes | Namespaces | Functions | Variables
glogoutput.cpp File Reference
`#include "gdef.h"`
`#include "glogoutput.h"`
`#include "gdatetime.h"`
`#include "gscope.h"`
`#include "gfile.h"`
`#include "gomembuf.h"`
`#include "glimits.h"`
`#include <algorithm>`
`#include <sstream>`
`#include <stdexcept>`
`#include <string>`
`#include <cstring>`
`#include <array>`

Go to the source code of this file.

## Classes
struct | G::LogOutputImp::ostream
| An ostream using a G::omembuf streambuf. More...

## Namespaces
namespace | G
| Low-level classes.
namespace | G::LogOutputImp
| An implementation namespace for G::LogOutput.

## Functions
std::ostream & | G::LogOutputImp::ostream1 ()
std::ostream & | G::LogOutputImp::ostream2 ()
std::size_t | G::LogOutputImp::tellp (std::ostream &s)

## Variables
constexpr int | G::LogOutputImp::stderr_fileno = 2
LogOutput * | G::LogOutputImp::this_ = nullptr
constexpr std::size_t | G::LogOutputImp::margin = 7U
constexpr std::size_t | G::LogOutputImp::buffer_base_size = limits::log + 40U
std::array< char, buffer_base_size+margin > | G::LogOutputImp::buffer_1
std::array< char, 8 > | G::LogOutputImp::buffer_2